ia64/xen-unstable

view install.sh @ 8056:5ae89ce67486

check_hotplug fails on one of my machines running ubunto 4.10 "Warty
Warhog", due to misparsing the udevinfo version string. The problem is
caused by an old version of sed that does not appreciate the
regexp. This patch fixes it, and also works on debian unstable and
SLES9SP2. Please apply...

Signed-Off-By: Muli Ben-Yehuda <mulix@mulix.org>
Signed-Off-By: Orna Agmon <ladypine@ladypine.org>
author emellor@leeni.uk.xensource.com
date Fri Nov 25 15:26:19 2005 +0000 (2005-11-25)
parents dd50b17dc60f
children e639d53330ba
line source
1 #!/bin/sh
3 src='./install'
4 if [ -d ./dist ]; then
5 src='./dist/install'
6 fi
8 if ! [ -d $src ]; then
9 echo "ERROR: Could not find a valid distribution directory."
10 echo " If this is a source-only release, try 'make dist'."
11 exit 1
12 fi
14 dst='/'
15 if [ $# -ne 0 ]; then
16 dst=$1
17 fi
19 if ! [ -d $dst ]; then
20 echo "ERROR: You must specify a valid install directory."
21 echo " The specified directory '$dst' is not valid."
22 exit 1
23 fi
25 echo "Installing Xen from '$src' to '$dst'..."
26 (cd $src; tar -cf - --exclude etc/init.d --exclude etc/hotplug --exclude etc/udev * ) | tar -C $dst -xf -
27 cp -fdRL $src/etc/init.d/* $dst/etc/init.d/
28 echo "All done."
30 [ -x "$(which udevinfo)" ] && \
31 UDEV_VERSION=$(udevinfo -V | sed -e 's/^[^0-9]* \([0-9]\{1,\}\)[^0-9]\{0,\}/\1/')
33 if [ -n "$UDEV_VERSION" ] && [ $UDEV_VERSION -ge 059 ]; then
34 cp -f $src/etc/udev/rules.d/*.rules $dst/etc/udev/rules.d/
35 else
36 cp -f $src/etc/hotplug/*.agent $dst/etc/hotplug/
37 fi
39 echo "Checking to see whether prerequisite tools are installed..."
40 cd $src/../check
41 ./chk install
42 echo "All done."
44 exit 0